#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(fc_lport_notifier_head, "", "");
KSYMTAB_FUNC(fc_fill_hdr, "", "");
KSYMTAB_FUNC(fc_fill_reply_hdr, "", "");
KSYMTAB_FUNC(fc_lport_iterate, "", "");
KSYMTAB_FUNC(fc_fc4_register_provider, "", "");
KSYMTAB_FUNC(fc_fc4_deregister_provider, "", "");
KSYMTAB_FUNC(fc_disc_config, "", "");
KSYMTAB_FUNC(fc_disc_init, "", "");
KSYMTAB_DATA(fc_cpu_mask, "", "");
KSYMTAB_FUNC(fc_seq_send, "", "");
KSYMTAB_FUNC(fc_seq_start_next, "", "");
KSYMTAB_FUNC(fc_seq_set_resp, "", "");
KSYMTAB_FUNC(fc_exch_done, "", "");
KSYMTAB_FUNC(fc_seq_els_rsp_send, "_gpl", "");
KSYMTAB_FUNC(fc_seq_assign, "", "");
KSYMTAB_FUNC(fc_seq_release, "", "");
KSYMTAB_FUNC(fc_exch_mgr_reset, "", "");
KSYMTAB_FUNC(fc_exch_seq_send, "", "");
KSYMTAB_FUNC(fc_exch_update_stats, "", "");
KSYMTAB_FUNC(fc_exch_mgr_add, "", "");
KSYMTAB_FUNC(fc_exch_mgr_del, "", "");
KSYMTAB_FUNC(fc_exch_mgr_list_clone, "", "");
KSYMTAB_FUNC(fc_exch_mgr_alloc, "", "");
KSYMTAB_FUNC(fc_exch_mgr_free, "", "");
KSYMTAB_FUNC(fc_exch_recv, "", "");
KSYMTAB_FUNC(fc_exch_init, "", "");
KSYMTAB_FUNC(fc_elsct_send, "", "");
KSYMTAB_FUNC(fc_elsct_init, "", "");
KSYMTAB_FUNC(fc_frame_crc_check, "", "");
KSYMTAB_FUNC(_fc_frame_alloc, "", "");
KSYMTAB_FUNC(fc_frame_alloc_fill, "", "");
KSYMTAB_FUNC(fc_get_host_port_state, "", "");
KSYMTAB_FUNC(fc_get_host_speed, "", "");
KSYMTAB_FUNC(fc_get_host_stats, "", "");
KSYMTAB_FUNC(fc_fabric_login, "", "");
KSYMTAB_FUNC(fc_linkup, "", "");
KSYMTAB_FUNC(fc_linkdown, "", "");
KSYMTAB_FUNC(fc_fabric_logoff, "", "");
KSYMTAB_FUNC(fc_lport_destroy, "", "");
KSYMTAB_FUNC(fc_set_mfs, "", "");
KSYMTAB_FUNC(fc_lport_set_local_id, "", "");
KSYMTAB_FUNC(fc_lport_recv, "", "");
KSYMTAB_FUNC(fc_lport_reset, "", "");
KSYMTAB_FUNC(fc_lport_logo_resp, "", "");
KSYMTAB_FUNC(fc_lport_flogi_resp, "", "");
KSYMTAB_FUNC(fc_lport_config, "", "");
KSYMTAB_FUNC(fc_lport_init, "", "");
KSYMTAB_FUNC(fc_lport_bsg_request, "", "");
KSYMTAB_FUNC(fc_rport_lookup, "", "");
KSYMTAB_FUNC(fc_rport_create, "", "");
KSYMTAB_FUNC(fc_rport_destroy, "", "");
KSYMTAB_FUNC(fc_set_rport_loss_tmo, "", "");
KSYMTAB_FUNC(fc_rport_login, "", "");
KSYMTAB_FUNC(fc_rport_logoff, "", "");
KSYMTAB_FUNC(fc_rport_recv_req, "", "");
KSYMTAB_FUNC(fc_rport_flush_queue, "", "");
KSYMTAB_FUNC(fc_rport_terminate_io, "", "");
KSYMTAB_FUNC(fc_queuecommand, "", "");
KSYMTAB_FUNC(fc_eh_abort, "", "");
KSYMTAB_FUNC(fc_eh_device_reset, "", "");
KSYMTAB_FUNC(fc_eh_host_reset, "", "");
KSYMTAB_FUNC(fc_slave_alloc, "", "");
KSYMTAB_FUNC(fc_fcp_destroy, "", "");
KSYMTAB_FUNC(fc_fcp_init, "", "");
KSYMTAB_FUNC(libfc_vport_create, "", "");
KSYMTAB_FUNC(fc_vport_id_lookup, "", "");
KSYMTAB_FUNC(fc_vport_setlink, "", "");

SYMBOL_CRC(fc_lport_notifier_head, 0xe5cf06b5, "");
SYMBOL_CRC(fc_fill_hdr, 0x5b0be2b9, "");
SYMBOL_CRC(fc_fill_reply_hdr, 0x0733fea6, "");
SYMBOL_CRC(fc_lport_iterate, 0x3e005012, "");
SYMBOL_CRC(fc_fc4_register_provider, 0xbce192a9, "");
SYMBOL_CRC(fc_fc4_deregister_provider, 0x087fc6c6, "");
SYMBOL_CRC(fc_disc_config, 0x08d47fd3, "");
SYMBOL_CRC(fc_disc_init, 0x5c536957, "");
SYMBOL_CRC(fc_cpu_mask, 0xa1bcd198, "");
SYMBOL_CRC(fc_seq_send, 0x548270a1, "");
SYMBOL_CRC(fc_seq_start_next, 0x7f3407a7, "");
SYMBOL_CRC(fc_seq_set_resp, 0x14a5164f, "");
SYMBOL_CRC(fc_exch_done, 0x811811e0, "");
SYMBOL_CRC(fc_seq_els_rsp_send, 0xde0e78be, "_gpl");
SYMBOL_CRC(fc_seq_assign, 0x61f75358, "");
SYMBOL_CRC(fc_seq_release, 0xfa4667d1, "");
SYMBOL_CRC(fc_exch_mgr_reset, 0x6465e92e, "");
SYMBOL_CRC(fc_exch_seq_send, 0x20402593, "");
SYMBOL_CRC(fc_exch_update_stats, 0x797c1394, "");
SYMBOL_CRC(fc_exch_mgr_add, 0x78736a9c, "");
SYMBOL_CRC(fc_exch_mgr_del, 0x22b90986, "");
SYMBOL_CRC(fc_exch_mgr_list_clone, 0x54c08d1a, "");
SYMBOL_CRC(fc_exch_mgr_alloc, 0xd1d951cf, "");
SYMBOL_CRC(fc_exch_mgr_free, 0x70af34fc, "");
SYMBOL_CRC(fc_exch_recv, 0xba861ee1, "");
SYMBOL_CRC(fc_exch_init, 0x9f95597c, "");
SYMBOL_CRC(fc_elsct_send, 0x6b6e0e52, "");
SYMBOL_CRC(fc_elsct_init, 0xf54e6f26, "");
SYMBOL_CRC(fc_frame_crc_check, 0x2b0748d2, "");
SYMBOL_CRC(_fc_frame_alloc, 0x56159110, "");
SYMBOL_CRC(fc_frame_alloc_fill, 0x37e5535f, "");
SYMBOL_CRC(fc_get_host_port_state, 0x6a3242cf, "");
SYMBOL_CRC(fc_get_host_speed, 0xade1162d, "");
SYMBOL_CRC(fc_get_host_stats, 0x6f29f4c6, "");
SYMBOL_CRC(fc_fabric_login, 0xc7c2dd2b, "");
SYMBOL_CRC(fc_linkup, 0x2adccc00, "");
SYMBOL_CRC(fc_linkdown, 0x069309c6, "");
SYMBOL_CRC(fc_fabric_logoff, 0x74671d5d, "");
SYMBOL_CRC(fc_lport_destroy, 0x0c7e1be5, "");
SYMBOL_CRC(fc_set_mfs, 0x279a271d, "");
SYMBOL_CRC(fc_lport_set_local_id, 0xeb802600, "");
SYMBOL_CRC(fc_lport_recv, 0x8b07e0d6, "");
SYMBOL_CRC(fc_lport_reset, 0x1c9285fc, "");
SYMBOL_CRC(fc_lport_logo_resp, 0x65baafa9, "");
SYMBOL_CRC(fc_lport_flogi_resp, 0x5b623e38, "");
SYMBOL_CRC(fc_lport_config, 0x862d99c6, "");
SYMBOL_CRC(fc_lport_init, 0x8c489666, "");
SYMBOL_CRC(fc_lport_bsg_request, 0x90d3685d, "");
SYMBOL_CRC(fc_rport_lookup, 0x18704a71, "");
SYMBOL_CRC(fc_rport_create, 0xca8255ce, "");
SYMBOL_CRC(fc_rport_destroy, 0x9d50ed7e, "");
SYMBOL_CRC(fc_set_rport_loss_tmo, 0x0892b8cb, "");
SYMBOL_CRC(fc_rport_login, 0xab08851a, "");
SYMBOL_CRC(fc_rport_logoff, 0xc51ff2f8, "");
SYMBOL_CRC(fc_rport_recv_req, 0xb20c83d6, "");
SYMBOL_CRC(fc_rport_flush_queue, 0xb0ddd5a1, "");
SYMBOL_CRC(fc_rport_terminate_io, 0xb419b199, "");
SYMBOL_CRC(fc_queuecommand, 0x7c9b009e, "");
SYMBOL_CRC(fc_eh_abort, 0x80df6d2b, "");
SYMBOL_CRC(fc_eh_device_reset, 0xaed1574a, "");
SYMBOL_CRC(fc_eh_host_reset, 0x0ad94374, "");
SYMBOL_CRC(fc_slave_alloc, 0x77296614, "");
SYMBOL_CRC(fc_fcp_destroy, 0x0e3885e5, "");
SYMBOL_CRC(fc_fcp_init, 0xb4b308f2, "");
SYMBOL_CRC(libfc_vport_create, 0x1483d5ca, "");
SYMBOL_CRC(fc_vport_id_lookup, 0x68199cba, "");
SYMBOL_CRC(fc_vport_setlink, 0x8f572513, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x866dc85b, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x89f5c522, "scsi_is_host_device" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xbebc78df, "__kmem_cache_create_args" },
	{ 0x2ce35418, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x375f8bbd, "fc_get_event_number" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x80c18951, "scsi_is_fc_rport" },
	{ 0x6cbe2480, "scsi_done" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x445fafbd, "param_ops_int" },
	{ 0xa14b9943, "_dev_printk" },
	{ 0x4561c4c2, "scsi_host_alloc" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xcdb6e288, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0x5c974c2b, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x33fff614, "try_module_get" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xa5e4b158, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x19922568, "bsg_job_done" },
	{ 0xad01b12f, "fc_remote_port_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x660a35c2, "pcpu_hot" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbf97518c, "fc_block_scsi_eh" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0x539b6336, "fc_remote_port_delete" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0x20c05670, "__alloc_skb" },
	{ 0xa97f6b30, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xed862444, "fc_host_post_event" },
	{ 0xea2309c0, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x8d04d660, "init_uts_ns" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod,scsi_transport_fc,scsi_common");


MODULE_INFO(srcversion, "3EB7492A2982146C9F7CDFC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
